Bug 236884 - using dhcp ip setup of extra repositories doesn't work
using dhcp ip setup of extra repositories doesn't work
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-18 05:07 EDT by Gianluca Cecchi
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-21 14:19:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
where the gui remains after click of button about further repositories (69.59 KB, image/jpeg)
2007-04-18 16:44 EDT, Gianluca Cecchi
no flags Details
output of ifconfig run from vc 2 after stall of gui (76.22 KB, image/jpeg)
2007-04-18 16:46 EDT, Gianluca Cecchi
no flags Details
/etc/resolv.conf (71.56 KB, image/jpeg)
2007-04-18 16:49 EDT, Gianluca Cecchi
no flags Details
latest rows in vc 4 (90.45 KB, image/jpeg)
2007-04-18 16:51 EDT, Gianluca Cecchi
no flags Details
output of ps -wef sorting out lines with [ ] (69.72 KB, image/jpeg)
2007-04-18 16:52 EDT, Gianluca Cecchi
no flags Details
lspci for my vm (102.53 KB, image/jpeg)
2007-04-18 16:53 EDT, Gianluca Cecchi
no flags Details

  None (edit)
Description Gianluca Cecchi 2007-04-18 05:07:33 EDT
Description of problem:
trying to install from 16th of April rsynced f7 x86_64 tree.
using boot.iso as cd installing x86_64 image in qemu/kvm on FC6_x86_64 host.
I begin installation specifying http type and anaconda sets correctly
dhcp ip initially.
Then, when I try to setup extra repository, anaconda asks again ip
configuration as it needs to  connect to internet, asking also def
gateway and dns server.
But at this time it stays undefinitely with the window telling
"getting ip for eth0".....



Version-Release number of selected component (if applicable):
anaconda-11.2.0.49-1.x86_64.rpm

How reproducible:
always

Steps to Reproduce:
1. start installation and select http method and dhcp
2. select to customize for extra repositories
3. pop up saying try to get ip for eth0
  
Actual results:
pop up saying try to get ip for eth0

Expected results:
it Should try only to set up def gw and resolver, as it already get an ip before
or at least recomplete getting the ip?
Additional info:
Comment 1 Jeremy Katz 2007-04-18 11:19:02 EDT
David -- is this related to the nlbuf stuff you fixed yesterday?
Comment 2 David Cantrell 2007-04-18 11:26:00 EDT
Yes, this was a problem with the RTM_GETLINK reading and the netlink cache was
empty, so hasActiveNetDev() was returning false.

Fixed in rawhide.
Comment 3 Gianluca Cecchi 2007-04-18 16:43:06 EDT
tried with resynced f7 right now. It doesn't work
anaconda is anaconda-11.2.0.51-1.x86_64.rpm and I'm booting from the boot.iso
that is
-rw-r--r-- 1 gcecchi gcecchi 8443904 Apr 18 10:47 images/boot.iso
so I think it contains updated anaconda too.
As I'm booting from qemu/kvm I'm going to add screenshot of the display as soon
as I click "Add additional software repositories" button where the system stays
(25 minutes now...) and other ones I comment...
I don't know if this could be related to qemu dhcp embedded server or if it is a
general problem
 
Comment 4 Gianluca Cecchi 2007-04-18 16:44:32 EDT
Created attachment 152951 [details]
where the gui remains after click of button about further repositories
Comment 5 Gianluca Cecchi 2007-04-18 16:46:26 EDT
Created attachment 152952 [details]
output of ifconfig run from vc 2 after stall of gui
Comment 6 Gianluca Cecchi 2007-04-18 16:49:20 EDT
Created attachment 152954 [details]
/etc/resolv.conf

note that if I run from vc 2
nslookup www.google.com it works, so that the network seems up
could it be another kind of problem.... example gui frozen?
Comment 7 Gianluca Cecchi 2007-04-18 16:51:25 EDT
Created attachment 152955 [details]
latest rows in vc 4
Comment 8 Gianluca Cecchi 2007-04-18 16:52:33 EDT
Created attachment 152956 [details]
output of ps -wef sorting out lines with [  ]
Comment 9 Gianluca Cecchi 2007-04-18 16:53:35 EDT
Created attachment 152957 [details]
lspci for my vm
Comment 10 Gianluca Cecchi 2007-04-18 16:55:27 EDT
inside installation if I do an ls -l in vc 2, my anaconda binary is 31743 bytes
dated 17 Apr at 23:58, so it seems the latest one.
Comment 11 David Cantrell 2007-04-18 17:47:27 EDT
I'm not able to reproduce the problem here.  My guess is it has something to do
with the virtual machine.  We perform some ioctl() calls to determine if a link
is active and running.  These may not be working correctly on the vm.

Can you try it on a real system and not a virtual machine?
Comment 12 Jeremy Katz 2007-09-21 14:19:17 EDT
Closing due to inactivity; please reopen if you have further information to add
to this report


Note You need to log in before you can comment on or make changes to this bug.